FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.34db56e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.34db56e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=34db56e OS_GIT_VERSION=4.8.0-202110011559.p0.git.34db56e.assembly.stream-34db56e SOURCE_DATE_EPOCH=1620947792 SOURCE_GIT_COMMIT=34db56ebf7a8a46828f5830d42b26f9d2bdd0db1 SOURCE_GIT_TAG=v0.0.0-beta1-196-g34db56eb SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.8.0.20211001.161120
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.34db56e.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.34db56e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=34db56e OS_GIT_VERSION=4.8.0-202110011559.p0.git.34db56e.assembly.stream-34db56e SOURCE_DATE_EPOCH=1620947792 SOURCE_GIT_COMMIT=34db56ebf7a8a46828f5830d42b26f9d2bdd0db1 SOURCE_GIT_TAG=v0.0.0-beta1-196-g34db56eb SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/termination-handler /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202110011559.p0.git.34db56e.assembly.stream" \
        io.openshift.build.commit.id="34db56ebf7a8a46828f5830d42b26f9d2bdd0db1" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/34db56ebf7a8a46828f5830d42b26f9d2bdd0db1" \
        version="v4.8.0"

